# AndersenThermostat Class Reference

This class uses the Andersen method to maintain constant temperature. More...

Inheritance diagram for AndersenThermostat:

List of all members.

## Public Member Functions

def | Temperature
| Temperature() -> string.
def | CollisionFrequency
| CollisionFrequency() -> string.
def | getDefaultTemperature
| getDefaultTemperature(self) -> double
def | setDefaultTemperature
| setDefaultTemperature(self, double temperature)
def | getDefaultCollisionFrequency
| getDefaultCollisionFrequency(self) -> double
def | setDefaultCollisionFrequency
| setDefaultCollisionFrequency(self, double frequency)
def | getRandomNumberSeed
| getRandomNumberSeed(self) -> int
def | setRandomNumberSeed
| setRandomNumberSeed(self, int seed)
def | __init__
| __init__(self, double defaultTemperature, double defaultCollisionFrequency) -> AndersenThermostat __init__(self, AndersenThermostat other) -> AndersenThermostat
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class uses the Andersen method to maintain constant temperature.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, double defaultTemperature, double defaultCollisionFrequency) -> AndersenThermostat __init__(self, AndersenThermostat other) -> AndersenThermostat

Create an AndersenThermostat.

Parameters:

  | defaultTemperature | the default temperature of the heat bath (in Kelvin)
  | defaultCollisionFrequency | the default collision frequency (in 1/ps)

def CollisionFrequency | ( |  | ) |

CollisionFrequency() -> string.

This is the name of the parameter which store the current collision frequency (in 1/ps).

def getDefaultCollisionFrequency | ( |  | self | ) |

getDefaultCollisionFrequency(self) -> double

Get the default collision frequency (in 1/ps).

def getDefaultTemperature | ( |  | self | ) |

getDefaultTemperature(self) -> double

Get the default temperature of the heat bath (in Kelvin).

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

def setDefaultCollisionFrequency | ( |  | self,
|  |  | args |
| ) |  |  |

setDefaultCollisionFrequency(self, double frequency)

Set the default collision frequency. This will affect any new Contexts you create, but not ones that already exist.

Parameters:

  | frequency | the default collision frequency (in 1/ps)

def setDefaultTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setDefaultTemperature(self, double temperature)

Set the default temperature of the heat bath. This will affect any new Contexts you create, but not ones that already exist.

Parameters:

  | temperature | the default temperature of the heat bath (in Kelvin)

def setRandomNumberSeed | ( |  | self,
|  |  | args |
| ) |  |  |

setRandomNumberSeed(self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of collisions will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

def Temperature | ( |  | ) |

Temperature() -> string.

This is the name of the parameter which stores the current temperature of the heat bath (in Kelvin).

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py